=== modified file 'client/drizzle.cc'
--- client/drizzle.cc	2011-04-19 19:20:12 +0000
+++ client/drizzle.cc	2011-06-07 21:19:19 +0000
@@ -1471,9 +1471,7 @@
   ("max-join-size", po::value<uint32_t>(&max_join_size)->default_value(1000000L),
   _("Automatic limit for rows in a join when using --safe-updates"))
   ;
-#ifndef DRIZZLE_ADMIN_TOOL
   const char* unix_user= getlogin();
-#endif
   po::options_description client_options(_("Options specific to the client"));
   client_options.add_options()
   ("host,h", po::value<string>(&current_host)->default_value("localhost"),
@@ -1482,11 +1480,7 @@
   _("Password to use when connecting to server. If password is not given it's asked from the tty."))
   ("port,p", po::value<uint32_t>()->default_value(0),
   _("Port number to use for connection or 0 for default to, in order of preference, drizzle.cnf, $DRIZZLE_TCP_PORT, built-in default"))
-#ifdef DRIZZLE_ADMIN_TOOL
-  ("user,u", po::value<string>(&current_user)->default_value("root"),
-#else
   ("user,u", po::value<string>(&current_user)->default_value((unix_user ? unix_user : "")),
-#endif
   _("User for login if not current user."))
   ("protocol",po::value<string>(&opt_protocol)->default_value("mysql"),
   _("The protocol of connection (mysql, mysql-plugin-auth, or drizzle)."))
@@ -1546,15 +1540,9 @@
 
   po::notify(vm);
 
-#ifdef DRIZZLE_ADMIN_TOOL
-  default_prompt= strdup(getenv("DRIZZLE_PS1") ?
-                         getenv("DRIZZLE_PS1") :
-                         "drizzleadmin> ");
-#else
   default_prompt= strdup(getenv("DRIZZLE_PS1") ?
                          getenv("DRIZZLE_PS1") :
                          "drizzle> ");
-#endif
   if (default_prompt == NULL)
   {
     fprintf(stderr, _("Memory allocation error while constructing initial "
@@ -4215,10 +4203,6 @@
   }
   drizzle_create(&drizzle);
 
-#ifdef DRIZZLE_ADMIN_TOOL
-  global_con_options= (drizzle_con_options_t) (DRIZZLE_CON_ADMIN | global_con_options);
-#endif
-
   if (drizzle_con_add_tcp(&drizzle, &con, (char *)host.c_str(),
                           opt_drizzle_port, (char *)user.c_str(),
                           (char *)password.c_str(), (char *)database.c_str(),

=== modified file 'client/include.am'
--- client/include.am	2011-03-31 22:51:58 +0000
+++ client/include.am	2011-06-07 21:19:19 +0000
@@ -32,7 +32,6 @@
 
 bin_PROGRAMS+= \
 	       client/drizzle \
-               client/drizzleadmin \
 	       client/drizzledump \
 	       client/drizzleimport \
 	       client/drizzleslap
@@ -68,14 +67,6 @@
 				$(LIBZ) \
 				client/libgetpassword.la
 
-client_drizzleadmin_CXXFLAGS=   ${AM_CXXFLAGS} ${LIBDRIZZLE_CPPFLAGS} -DDRIZZLE_ADMIN_TOOL
-client_drizzleadmin_SOURCES=    client/drizzle.cc client/linebuffer.cc
-client_drizzleadmin_LDADD=      ${READLINE_LIBS} ${BOOST_LIBS} \
-                                libdrizzle-2.0/libdrizzle/libdrizzle-2.0.la \
-                                $(LIBINTL) \
-                                $(LIBZ) \
-                                client/libgetpassword.la
-
 client_drizzledump_CXXFLAGS=	${AM_CXXFLAGS} ${LIBDRIZZLE_CPPFLAGS}
 client_drizzledump_SOURCES= \
 			    client/drizzledump.cc \

=== removed file 'docs/clients/drizzleadmin.rst'
--- docs/clients/drizzleadmin.rst	2011-03-08 03:47:42 +0000
+++ docs/clients/drizzleadmin.rst	1970-01-01 00:00:00 +0000
@@ -1,15 +0,0 @@
-Drizzle Admin Commandline Client
-================================
-
-The :program:`drizzleadmin` command line client is the primary program for
-connecting to and manipulating a Drizzle database with an administrative user rights.
-
-The :program:`drizzleadmin` tool can only connect using the 'root' user and
-only on IP addresses defined by drizzle-protocol.admin-ip-addresses or 
-mysql-protocol.admin-ip-addresses.  At the moment the :program:`drizzleadmin` 
-tool is only to be used to bypass the protocol's max-connections setting to do
-tasks such as killing queries or clients.  Eventually more administrative
-features will be added.
-
-.. seealso::
-   :doc:`drizzle`

=== modified file 'docs/conf.py'
--- docs/conf.py	2011-03-02 21:43:50 +0000
+++ docs/conf.py	2011-06-07 21:19:19 +0000
@@ -212,8 +212,6 @@
 # (source start file, name, description, authors, manual section).
 man_pages = [
     ('clients/drizzledump', 'drizzledump', u'a database backup program',
-     [u'Andrew Hutchings'], 1),
-    ('clients/drizzleadmin', 'drizzleadmin', u'a database backup program',
      [u'Andrew Hutchings'], 1)
 ]
 

=== modified file 'docs/include.am'
--- docs/include.am	2011-03-03 03:18:14 +0000
+++ docs/include.am	2011-06-07 21:19:19 +0000
@@ -42,14 +42,11 @@
 
 if HAVE_RECENT_SPHINX
 man_MANS+= \
-	   docs/man/drizzledump.1 \
-	   docs/man/drizzleadmin.1
+	   docs/man/drizzledump.1
 DISTCLEANFILES+= \
-           docs/man/drizzledump.1 \
-	   docs/man/drizzleadmin.1
+           docs/man/drizzledump.1
 	   
 docs/man/drizzledump.1: man
-docs/man/drizzleadmin.1: man
 endif
 
 if HAVE_SPHINX

=== modified file 'docs/index.rst'
--- docs/index.rst	2011-06-01 23:46:19 +0000
+++ docs/index.rst	2011-06-07 21:19:19 +0000
@@ -114,7 +114,6 @@
 
    clients/drizzle.rst
    clients/drizzledump.rst
-   clients/drizzleadmin.rst
    clients/errors.rst
 
 libdrizzle:

=== modified file 'libdrizzle-1.0/libdrizzle/constants.h'
--- libdrizzle-1.0/libdrizzle/constants.h	2011-03-11 12:09:47 +0000
+++ libdrizzle-1.0/libdrizzle/constants.h	2011-06-07 21:19:19 +0000
@@ -169,7 +169,6 @@
   DRIZZLE_CON_LISTEN=           (1 << 7),
   DRIZZLE_CON_EXPERIMENTAL=     (1 << 8),
   DRIZZLE_CON_FOUND_ROWS=       (1 << 9),
-  DRIZZLE_CON_ADMIN=            (1 << 10),
   DRIZZLE_CON_INTERACTIVE=      (1 << 11),
   DRIZZLE_CON_MULTI_STATEMENTS= (1 << 12),
   DRIZZLE_CON_AUTH_PLUGIN=      (1 << 13)
@@ -231,7 +230,6 @@
   DRIZZLE_CAPABILITIES_MULTI_RESULTS=          (1 << 17),
   DRIZZLE_CAPABILITIES_PS_MULTI_RESULTS=       (1 << 18),
   DRIZZLE_CAPABILITIES_PLUGIN_AUTH=            (1 << 19),
-  DRIZZLE_CAPABILITIES_ADMIN=                  (1 << 25),
   DRIZZLE_CAPABILITIES_SSL_VERIFY_SERVER_CERT= (1 << 30),
   DRIZZLE_CAPABILITIES_REMEMBER_OPTIONS=       (1 << 31),
   DRIZZLE_CAPABILITIES_CLIENT= (DRIZZLE_CAPABILITIES_LONG_PASSWORD |
@@ -241,8 +239,7 @@
                                 DRIZZLE_CAPABILITIES_PLUGIN_AUTH |
                                 DRIZZLE_CAPABILITIES_TRANSACTIONS |
                                 DRIZZLE_CAPABILITIES_PROTOCOL_41 |
-                                DRIZZLE_CAPABILITIES_SECURE_CONNECTION |
-                                DRIZZLE_CAPABILITIES_ADMIN)
+                                DRIZZLE_CAPABILITIES_SECURE_CONNECTION)
 } drizzle_capabilities_t;
 
 /**

=== modified file 'libdrizzle-1.0/libdrizzle/handshake.c'
--- libdrizzle-1.0/libdrizzle/handshake.c	2011-03-11 12:09:47 +0000
+++ libdrizzle-1.0/libdrizzle/handshake.c	2011-06-07 21:19:19 +0000
@@ -507,9 +507,6 @@
   if (!(con->options & DRIZZLE_CON_FOUND_ROWS))
     capabilities&= ~DRIZZLE_CAPABILITIES_FOUND_ROWS;
 
-  if (con->options & DRIZZLE_CON_ADMIN)
-    capabilities|= DRIZZLE_CAPABILITIES_ADMIN;
-
   if (con->options & DRIZZLE_CON_INTERACTIVE)
   {
     capabilities|= DRIZZLE_CAPABILITIES_INTERACTIVE;

=== modified file 'libdrizzle-2.0/libdrizzle/constants.h'
--- libdrizzle-2.0/libdrizzle/constants.h	2011-04-03 17:46:51 +0000
+++ libdrizzle-2.0/libdrizzle/constants.h	2011-06-07 21:19:19 +0000
@@ -175,7 +175,6 @@
   DRIZZLE_CON_LISTEN=           (1 << 7),
   DRIZZLE_CON_EXPERIMENTAL=     (1 << 8),
   DRIZZLE_CON_FOUND_ROWS=       (1 << 9),
-  DRIZZLE_CON_ADMIN=            (1 << 10),
   DRIZZLE_CON_INTERACTIVE=      (1 << 11),
   DRIZZLE_CON_MULTI_STATEMENTS= (1 << 12),
   DRIZZLE_CON_AUTH_PLUGIN=      (1 << 13)
@@ -237,7 +236,6 @@
   DRIZZLE_CAPABILITIES_MULTI_RESULTS=          (1 << 17),
   DRIZZLE_CAPABILITIES_PS_MULTI_RESULTS=       (1 << 18),
   DRIZZLE_CAPABILITIES_PLUGIN_AUTH=            (1 << 19),
-  DRIZZLE_CAPABILITIES_ADMIN=                  (1 << 25),
   DRIZZLE_CAPABILITIES_SSL_VERIFY_SERVER_CERT= (1 << 30),
   DRIZZLE_CAPABILITIES_REMEMBER_OPTIONS=       (1 << 31),
   DRIZZLE_CAPABILITIES_CLIENT= (DRIZZLE_CAPABILITIES_LONG_PASSWORD |
@@ -247,8 +245,7 @@
                                 DRIZZLE_CAPABILITIES_PLUGIN_AUTH |
                                 DRIZZLE_CAPABILITIES_TRANSACTIONS |
                                 DRIZZLE_CAPABILITIES_PROTOCOL_41 |
-                                DRIZZLE_CAPABILITIES_SECURE_CONNECTION |
-                                DRIZZLE_CAPABILITIES_ADMIN)
+                                DRIZZLE_CAPABILITIES_SECURE_CONNECTION)
 } drizzle_capabilities_t;
 
 /**

=== modified file 'libdrizzle-2.0/libdrizzle/handshake.cc'
--- libdrizzle-2.0/libdrizzle/handshake.cc	2011-03-22 18:39:54 +0000
+++ libdrizzle-2.0/libdrizzle/handshake.cc	2011-06-07 21:19:19 +0000
@@ -507,9 +507,6 @@
   if (!(con->options & DRIZZLE_CON_FOUND_ROWS))
     capabilities&= ~DRIZZLE_CAPABILITIES_FOUND_ROWS;
 
-  if (con->options & DRIZZLE_CON_ADMIN)
-    capabilities|= DRIZZLE_CAPABILITIES_ADMIN;
-
   if (con->options & DRIZZLE_CON_INTERACTIVE)
   {
     capabilities|= DRIZZLE_CAPABILITIES_INTERACTIVE;

=== modified file 'plugin/drizzle_protocol/drizzle_protocol.cc'
--- plugin/drizzle_protocol/drizzle_protocol.cc	2011-05-28 13:44:31 +0000
+++ plugin/drizzle_protocol/drizzle_protocol.cc	2011-06-07 21:19:19 +0000
@@ -42,7 +42,6 @@
 namespace drizzle_protocol
 {
 
-std::vector<std::string> ClientDrizzleProtocol::drizzle_admin_ip_addresses;
 static port_constraint port;
 static timeout_constraint connect_timeout;
 static timeout_constraint read_timeout;
@@ -63,21 +62,6 @@
   return port;
 }
 
-void ClientDrizzleProtocol::drizzle_compose_ip_addresses(vector<string> options)
-{
-  for (vector<string>::iterator it= options.begin();
-       it != options.end();
-       ++it)
-  {
-    tokenize(*it, drizzle_admin_ip_addresses, ",", true);
-  }
-}
-
-bool ClientDrizzleProtocol::isAdminAllowed()
-{
-  return std::find(drizzle_admin_ip_addresses.begin(), drizzle_admin_ip_addresses.end(), session->user()->address()) != drizzle_admin_ip_addresses.end();
-}
-
 plugin::Client *ListenDrizzleProtocol::getClient(int fd)
 {
   int new_fd;
@@ -136,9 +120,6 @@
   context("max-connections",
           po::value<uint32_t>(&ListenDrizzleProtocol::drizzle_counters->max_connections)->default_value(1000),
           N_("Maximum simultaneous connections."));
-  context("admin-ip-addresses",
-          po::value<vector<string> >()->composing()->notifier(&ClientDrizzleProtocol::drizzle_compose_ip_addresses),
-          N_("A restrictive IP address list for incoming admin connections."));
 }
 
 } /* namespace drizzle_protocol */

=== modified file 'plugin/drizzle_protocol/drizzle_protocol.h'
--- plugin/drizzle_protocol/drizzle_protocol.h	2011-03-14 05:40:28 +0000
+++ plugin/drizzle_protocol/drizzle_protocol.h	2011-06-07 21:19:19 +0000
@@ -54,9 +54,6 @@
 public:
   ClientDrizzleProtocol(int fd, ProtocolCounters *set_counters): ClientMySQLProtocol(fd, true, set_counters) {}
 
-  static std::vector<std::string> drizzle_admin_ip_addresses;
-  static void drizzle_compose_ip_addresses(std::vector<std::string> options);
-  bool isAdminAllowed(void);
 };
 
 } /* namespace drizzle_protocol */

=== modified file 'plugin/mysql_protocol/mysql_protocol.cc'
--- plugin/mysql_protocol/mysql_protocol.cc	2011-06-03 17:57:03 +0000
+++ plugin/mysql_protocol/mysql_protocol.cc	2011-06-07 21:19:19 +0000
@@ -47,7 +47,6 @@
 
 namespace drizzle_plugin {
 
-std::vector<std::string> ClientMySQLProtocol::mysql_admin_ip_addresses;
 static const unsigned int PACKET_BUFFER_EXTRA_ALLOC= 1024;
 
 static port_constraint port;
@@ -96,7 +95,6 @@
 }
 
 ClientMySQLProtocol::ClientMySQLProtocol(int fd, bool using_mysql41_protocol, ProtocolCounters *set_counters):
-  is_admin_connection(false),
   _using_mysql41_protocol(using_mysql41_protocol),
   _is_interactive(false),
   counters(set_counters)
@@ -157,30 +155,15 @@
   { 
     drizzleclient_net_close(&net);
     drizzleclient_net_end(&net);
-    if (is_admin_connection)
-    {
-      counters->adminConnected.decrement();
-    }
-    else
-    {
-      counters->connected.decrement();
-    }
+    counters->connected.decrement();
   }
 }
 
 bool ClientMySQLProtocol::authenticate()
 {
   bool connection_is_valid;
-  if (is_admin_connection)
-  {
-    counters->adminConnectionCount.increment();
-    counters->adminConnected.increment();
-  }
-  else
-  {
-    counters->connectionCount.increment();
-    counters->connected.increment();
-  }
+  counters->connectionCount.increment();
+  counters->connected.increment();
 
   /* Use "connect_timeout" value during connection phase */
   drizzleclient_net_set_read_timeout(&net, connect_timeout.get());
@@ -190,7 +173,7 @@
 
   if (connection_is_valid)
   {
-    if (not is_admin_connection and (counters->connected > counters->max_connections))
+    if (counters->connected > counters->max_connections)
     {
       std::string errmsg(ER(ER_CON_COUNT_ERROR));
       sendError(ER_CON_COUNT_ERROR, errmsg.c_str());
@@ -855,19 +838,6 @@
     user_len-= 2;
   }
 
-  if (client_capabilities & CLIENT_ADMIN)
-  {
-    if ((strncmp(user, "root", 4) == 0) and isAdminAllowed())
-    {
-      is_admin_connection= true;
-    }
-    else
-    {
-      my_error(ER_ADMIN_ACCESS, MYF(0));
-      return false;
-    }
-  }
-
   if (client_capabilities & CLIENT_INTERACTIVE)
   {
     _is_interactive= true;
@@ -886,11 +856,6 @@
 
 }
 
-bool ClientMySQLProtocol::isAdminAllowed()
-{
-  return std::find(mysql_admin_ip_addresses.begin(), mysql_admin_ip_addresses.end(), session->user()->address()) != mysql_admin_ip_addresses.end();
-}
-
 void ClientMySQLProtocol::netStoreData(const unsigned char *from, size_t length)
 {
   size_t packet_length= packet.length();
@@ -991,16 +956,6 @@
   }
 }
 
-void ClientMySQLProtocol::mysql_compose_ip_addresses(vector<string> options)
-{
-  for (vector<string>::iterator it= options.begin();
-       it != options.end();
-       ++it)
-  {
-    tokenize(*it, mysql_admin_ip_addresses, ",", true);
-  }
-}
-
 static ListenMySQLProtocol *listen_obj= NULL;
 plugin::Create_function<MySQLPassword> *mysql_password= NULL;
 
@@ -1060,9 +1015,6 @@
   context("max-connections",
           po::value<uint32_t>(&ListenMySQLProtocol::mysql_counters->max_connections)->default_value(1000),
           _("Maximum simultaneous connections."));
-  context("admin-ip-addresses",
-          po::value<vector<string> >()->composing()->notifier(&ClientMySQLProtocol::mysql_compose_ip_addresses),
-          _("A restrictive IP address list for incoming admin connections."));
 }
 
 } /* namespace drizzle_plugin */

=== modified file 'plugin/mysql_protocol/mysql_protocol.h'
--- plugin/mysql_protocol/mysql_protocol.h	2011-06-03 17:57:03 +0000
+++ plugin/mysql_protocol/mysql_protocol.h	2011-06-07 21:19:19 +0000
@@ -37,10 +37,8 @@
       max_connections(1000)
     { }
     drizzled::atomic<uint64_t> connectionCount;
-    drizzled::atomic<uint64_t> adminConnectionCount;
     drizzled::atomic<uint64_t> failedConnections;
     drizzled::atomic<uint64_t> connected;
-    drizzled::atomic<uint64_t> adminConnected;
     uint32_t max_connections;
 };
 
@@ -77,7 +75,6 @@
   NET net;
   drizzled::String packet;
   uint32_t client_capabilities;
-  bool is_admin_connection;
   bool _using_mysql41_protocol;
   bool _is_interactive;
 
@@ -96,11 +93,6 @@
     return _is_interactive;
   }
 
-  bool isAdmin() const
-  {
-    return is_admin_connection;
-  }
-
   ProtocolCounters *counters;
 
   virtual int getFileDescriptor(void);
@@ -132,9 +124,6 @@
   virtual bool haveError(void);
   virtual bool haveMoreData(void);
   virtual bool wasAborted(void);
-  virtual bool isAdminAllowed(void);
-  static std::vector<std::string> mysql_admin_ip_addresses;
-  static void mysql_compose_ip_addresses(std::vector<std::string> options);
 };
 
 } /* namespace drizzle_plugin */

=== modified file 'plugin/mysql_protocol/options.h'
--- plugin/mysql_protocol/options.h	2011-03-14 05:40:28 +0000
+++ plugin/mysql_protocol/options.h	2011-06-07 21:19:19 +0000
@@ -89,8 +89,6 @@
 #define CLIENT_MULTI_RESULTS    (1UL << 17) /* Enable/disable multi-results */
 #define CLIENT_CAPABILITIES_PLUGIN_AUTH (1 << 19)
 
-#define CLIENT_ADMIN            (1UL << 25) /* Admin client connection */
-
 #define CLIENT_SSL_VERIFY_SERVER_CERT (1UL << 30)
 #define CLIENT_REMEMBER_OPTIONS (1UL << 31)
 
@@ -112,7 +110,6 @@
                            CLIENT_MULTI_STATEMENTS | \
                            CLIENT_MULTI_RESULTS | \
                            CLIENT_CAPABILITIES_PLUGIN_AUTH | \
-                           CLIENT_ADMIN | \
                            CLIENT_SSL_VERIFY_SERVER_CERT | \
                            CLIENT_REMEMBER_OPTIONS)
 

=== modified file 'plugin/mysql_protocol/prototest/drizzle_prototest'
--- plugin/mysql_protocol/prototest/drizzle_prototest	2011-02-21 23:38:55 +0000
+++ plugin/mysql_protocol/prototest/drizzle_prototest	2011-06-07 21:19:19 +0000
@@ -68,7 +68,6 @@
 WRONG_DB_NAME = 1102
 PACKET_TOO_LARGE = 1153
 PACKETS_OUT_OF_ORDER = 1156
-ADMIN_ACCESS = 1715
 
 # This is a comment range that is used in a number of tests for
 # testing various interesting boundaries.
@@ -125,27 +124,6 @@
 
       self.reconnect()
 
-  def testAdminHandshake(self):
-    for x in common_range:
-      self.verifyServerHandshake()
-      self.s.send(Packet(size=x, sequence=1).pack())
-
-      if x > 0:
-        try:
-          self.s.send('\xff' * x)
-        except socket.error:
-          self.assertTrue(x >= 1024*1024)
-          return
-
-
-      (packet, data) = self.verifyPacket(2)
-
-      result = ErrorResult(data, version_40=True)
-      if result.error_code != BAD_HANDSHAKE:
-        self.assertEqual(result.error_code, ADMIN_ACCESS)
-
-      self.reconnect()
-
   def testUserOverrun(self):
     for x in range(0, 1024) + range(65520, 65550):
       server_handshake = self.verifyServerHandshake()

=== modified file 'plugin/mysql_protocol/tests/r/prototest.result'
--- plugin/mysql_protocol/tests/r/prototest.result	2010-12-14 18:23:50 +0000
+++ plugin/mysql_protocol/tests/r/prototest.result	2011-06-07 21:19:19 +0000
@@ -31,7 +31,6 @@
 testDefaultInit (prototest.mysql.bitfield.TestField) ... ok
 testGetAttr (prototest.mysql.bitfield.TestField) ... ok
 testSetAttr (prototest.mysql.bitfield.TestField) ... ok
-testAdminHandshake (__main__.TestHandshake) ... ok
 testDBOverrun (__main__.TestHandshake) ... ok
 testEmptyRangeClientHandshake (__main__.TestHandshake) ... ok
 testNullClientHandshake (__main__.TestHandshake) ... ok
@@ -58,6 +57,6 @@
 testUnpackInit (prototest.mysql.handshake.TestServerHandshake) ... ok
 
 ----------------------------------------------------------------------
-Ran 58 tests
+Ran 57 tests
 
 OK

=== modified file 'plugin/mysql_unix_socket_protocol/protocol.h'
--- plugin/mysql_unix_socket_protocol/protocol.h	2011-03-14 05:40:28 +0000
+++ plugin/mysql_unix_socket_protocol/protocol.h	2011-06-07 21:19:19 +0000
@@ -61,8 +61,6 @@
 public:
   ClientMySQLUnixSocketProtocol(int fd, bool __using_mysql41_protocol, ProtocolCounters *set_counters): ClientMySQLProtocol(fd, __using_mysql41_protocol, set_counters) {}
 
-  /* Unix socket protocol is for MySQL compatibility so do not allow admin connections */
-  bool isAdminAllowed(void) { return false; }
 };
 
 

=== modified file 'tests/lib/drizzle_test_run/dtr_test_execution.py'
--- tests/lib/drizzle_test_run/dtr_test_execution.py	2011-04-21 07:49:39 +0000
+++ tests/lib/drizzle_test_run/dtr_test_execution.py	2011-06-07 21:19:19 +0000
@@ -182,8 +182,6 @@
                                                           , self.master_server.master_port)
                    ,  'DRIZZLE': "%s -uroot -p%d" %( self.master_server.drizzle_client
                                                    , self.master_server.master_port)
-                   ,  'DRIZZLE_ADMIN' : "%s -uroot -p%d" %( self.master_server.drizzleadmin
-                                                         , self.master_server.master_port)
                    ,  'DRIZZLE_TRX_READER' : self.system_manager.code_tree.drizzle_trx_reader
                    }     
 

=== modified file 'tests/lib/sysbench/sysbench_test_execution.py'
--- tests/lib/sysbench/sysbench_test_execution.py	2011-06-01 23:31:52 +0000
+++ tests/lib/sysbench/sysbench_test_execution.py	2011-06-07 21:19:19 +0000
@@ -208,8 +208,6 @@
                                                           , self.master_server.master_port)
                    ,  'DRIZZLE': "%s -uroot -p%d" %( self.master_server.drizzle_client
                                                    , self.master_server.master_port)
-                   ,  'DRIZZLE_ADMIN' : "%s -uroot -p%d" %( self.master_server.drizzleadmin
-                                                         , self.master_server.master_port)
                    ,  'DRIZZLE_BASEDIR' : self.system_manager.code_tree.basedir
                    ,  'DRIZZLE_TRX_READER' : self.system_manager.code_tree.drizzle_trx_reader
                    }     

=== removed file 'tests/r/drizzleadmin.result'
--- tests/r/drizzleadmin.result	2010-12-15 18:59:55 +0000
+++ tests/r/drizzleadmin.result	1970-01-01 00:00:00 +0000
@@ -1,1 +0,0 @@
-ERROR 08004: Too many connections

=== removed file 'tests/t/drizzleadmin.test'
--- tests/t/drizzleadmin.test	2011-01-24 04:22:18 +0000
+++ tests/t/drizzleadmin.test	1970-01-01 00:00:00 +0000
@@ -1,13 +0,0 @@
-# Test uses max-connections of 2 to test drizzleadmin override of this setting
-# along with admin-ip-address of 127.0.0.1
-
-connect (con1,localhost,root,,);
-# This next one should hit max-connections limit
---disable_query_log
---error ER_CON_COUNT_ERROR
-connect (con2,localhost,root,,);
---enable_query_log
-
-# This should override max-connections and give an admin error
---error EE_ERROR_FIRST
---exec $DRIZZLE_ADMIN -e "SELECT 1;"

=== modified file 'tests/test-run.pl'
--- tests/test-run.pl	2011-04-21 07:49:39 +0000
+++ tests/test-run.pl	2011-06-07 21:19:19 +0000
@@ -156,7 +156,6 @@
 
 our $exe_master_drizzled;
 our $exe_drizzle;
-our $exe_drizzleadmin;
 our $exe_drizzle_client_test;
 our $exe_bug25714;
 our $exe_drizzled;
@@ -1300,7 +1299,6 @@
   $exe_drizzledump= dtr_exe_exists("$path_client_bindir/drizzledump");
   $exe_drizzleimport= dtr_exe_exists("$path_client_bindir/drizzleimport");
   $exe_drizzle=          dtr_exe_exists("$path_client_bindir/drizzle");
-  $exe_drizzleadmin= dtr_exe_exists("$path_client_bindir/drizzleadmin");
 
   if (!$opt_extern)
   {
@@ -1355,13 +1353,6 @@
     " -uroot --port=$drizzled->{'port'} ";
 }
 
-sub generate_cmdline_drizzleadmin ($) {
-  my($drizzled) = @_;
-  return
-    dtr_native_path($exe_drizzleadmin) .
-    " -uroot --port=$drizzled->{'port'} ";
-}
-
 ##############################################################################
 #
 #  Set environment to be used by childs of this process for
@@ -1517,7 +1508,6 @@
   # ----------------------------------------------------
   # Setup env to childs can execute myqldump
   # ----------------------------------------------------
-  my $cmdline_drizzleadmin= generate_cmdline_drizzleadmin($master->[0]);
   my $cmdline_drizzledump= generate_cmdline_drizzledump($master->[0]);
   my $cmdline_drizzledumpslave= generate_cmdline_drizzledump($slave->[0]);
   my $cmdline_drizzledump_secondary= dtr_native_path($exe_drizzledump) .
@@ -1533,7 +1523,6 @@
     $cmdline_drizzledump_secondary .=
       " --debug=d:t:A,$path_vardir_trace/log/drizzledump-drizzle.trace";
   }
-  $ENV{'DRIZZLE_ADMIN'}= $cmdline_drizzleadmin;
   $ENV{'DRIZZLE_DUMP'}= $cmdline_drizzledump;
   $ENV{'DRIZZLE_DUMP_SLAVE'}= $cmdline_drizzledumpslave;
   $ENV{'DRIZZLE_DUMP_SECONDARY'}= $cmdline_drizzledump_secondary;

